import { useState } from "react";

function DropDownFilter(props: PropsDropDownFilter) {
 
        const options = props.options;
        const topic = props.topic;
        const [selectedOption, setSelectedOption] = useState("");
      
        const handleOptionChange = (event: any) => {
          setSelectedOption(event.target.value);
        };
      
        return (
          <div >
            <label>{topic}</label>
            <select value={selectedOption} onChange={handleOptionChange}>
              <option value=""></option>
              {options.map((option, index) => (
                <option key={index} value={option}>
                  {option}
                </option>
              ))}
            </select>
          </div>
        );
      }
      
      type PropsDropDownFilter = {
        options: Array<string>;
        topic: string;
      };

export default DropDownFilter

