import { useState } from "react";
import Slider from "rc-slider";
import "rc-slider/assets/index.css";
import "../stylesheets/FilterPage.css";
import DropDownFilter from "./DropDownFilter";

function FilterPage() {
  return (
    <>
      <div className="filterPage">
        <h3>Setze Filter und suche nach passenden Pflanzen</h3>
      </div>
      <div>
        <DropDownFilter
          topic={"Wasserbedarf "}
          options={["Trocken", "Feucht", "Sehr Feucht"]}
        />
        <DropDownFilter
          topic={"Nährstoffbedarf "}
          options={["Niedrig", "Mittel", "Hoch"]}
        />
        <DropDownFilter
          topic={"Lichtbedarf "}
          options={["Niedrig", "Mittel", "Hoch"]}
        />
        <DropDownFilter
          topic={"Bodentyp"}
          options={["Leicht", "Mittel", "Schwer"]}
        />
      </div>
      <SliderFilter topic={"Anbauphase"} min={1} max={52} />
      <SliderFilter topic={"Erntezeitraum"} min={1} max={52} />
      <SliderFilter topic={"Wachstumsdauer"} min={1} max={52} />{" "}
    </>
  );
}




function SliderFilter({ topic, min, max }: PropsSliderFilter) {
  const [range, setRange] = useState([min, max]);

  const handleRangeChange = (newRange: any) => {
    setRange(newRange);
  };

  return (
    <div>
      <label>
        {topic} von KW {range[0]} bis KW {range[1]}
      </label>
      <Slider
        min={min}
        max={max}
        range
        value={range}
        onChange={handleRangeChange}
      />
    </div>
  );
}

type PropsSliderFilter = {
  topic: string;
  min: number;
  max: number;
};

export default FilterPage;

