import "../stylesheets/PlantDetails.css";
import "font-awesome/css/font-awesome.min.css";
import { useParams } from "react-router-dom";

function PlantDetails(props: any) {
  const plant = props.plant;

  return (
    <>
      <div style={{ display: "flex", flexDirection: "column" }}>
        <div className="plantDetails">
          <h1>{plant.name}</h1>
          <img src={plant.imageUrl}></img>
          <div className="lateinischerName infoBox">
            <div className="title">Lateinischer Name</div>{" "}
            <p>{plant.latinName}</p>
          </div>
          <div className="Beschreibung infoBox">
            <div className="title">Beschreibung</div> <p>{plant.description}</p>
          </div>
          <div className="infoBox">
            <div className="title">Herkunft</div>
            <p>{plant.origin}</p>
          </div>
          <div className="infoBox">
            <div className="title">Anbautipps</div> <p>{plant.growingTips}</p>
          </div>
          <div className="infoBox">
            <div className="title">Anbauzeitraum</div>
            <p>
              Von Kalenderwoche {plant.plantWeekStart} bis Kalenderwoche{" "}
              {plant.plantWeekEnd}
            </p>
          </div>
          <div className="infoBox">
            <div className="title">Erntezeitraum</div>
            <p>
              Von Kalenderwoche {plant.harvestWeekStart} bis Kalenderwoche{" "}
              {plant.harvestWeekEnd}
            </p>
          </div>
          <div className="infoBox">
            <div className="title">Bodentyp</div>
            <p>{plant.groundType}</p>
          </div>
          <div className="infoBox">
            <div className="title">Nährstoffbedarf</div>
            <p>{plant.nutrientDemand}</p>
          </div>
          <div className="infoBox">
            <div className="title">Wasserbedarf</div>
            <p>{plant.waterDemand}</p>
          </div>
          <div className="infoBox">
            <div className="title">Lichtbedarf</div>
            <p>{plant.lightingDemand}</p>
          </div>
        </div>
        <div
          className="buttons"
          style={{
            display: "flex",
            justifyContent: "space-around",
            margin: "0 0 40px 0",
          }}
        >
          <ButtonAddToGarden></ButtonAddToGarden>
          <ButtonAddToWishlist></ButtonAddToWishlist>
        </div>
      </div>
    </>
  );
}

function ButtonAddToGarden() {
  return (
    <button>
      <i className="fa fa-leaf"></i>
    </button>
  );
}

function ButtonAddToWishlist() {
  return (
    <button>
      <i className="fa fa-heart"></i>
    </button>
  );
}

export default PlantDetails;
